LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XMailMergeListener Interface Referencepublished

used to notify listeners about mail merge events. More...

`import"XMailMergeListener.idl";`

Inheritance diagram for XMailMergeListener:

## Public Member Functions
void | notifyMailMergeEvent ([in] com::sun::star::text::MailMergeEvent aEvent)
| Notifies the listener about mail merge events. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

used to notify listeners about mail merge events.

Registered listeners will be notified with a com::sun::star::text::MailMergeEvent when a document is about to get merged.

See Also
  com::sun::star::text::MailMerge
  com::sun::star::text::MailMergeEvent

Since
  OOo 1.1.2

## Member Function Documentation

void notifyMailMergeEvent | ( | [in] com::sun::star::text::MailMergeEvent | aEvent | ) |

Notifies the listener about mail merge events.

Parameters

  aEvent | The Event containing the model of the document to be merged that is send to the listener.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XMailMergeListener.idl